//This JSON was modified by AgentMindStorm (@agentms_). Please do not use this document without permission.
{
  "format_version": "1.8.0",
  "animations": {
    "animation.vex.charge": {
      "loop": true,
      "bones": {
        "rightarm": {
          "rotation": [
            "query.is_item_equipped('main_hand') ? 210.0 - this : (query.is_item_equipped('off_hand') ? this : -80.0 - this)",
            "query.is_item_equipped('main_hand') ? 15.0 - this : this",
            "query.is_item_equipped('main_hand') ? -25.0 - 32.34 : this"
          ]
        },
        "leftarm": {
          "rotation": [
            "query.is_item_equipped('off_hand') ? 210.0 - this : (query.is_item_equipped('main_hand') ? this : -80.0 - this)",
            "query.is_item_equipped('off_hand') ? -15.0 - this : this",
            "query.is_item_equipped('off_hand') ? 25.0 + 32.34 : this"
          ]
        }
      }
    },
    "animation.vex.idle": {
      "animation_length": 4.0,
      "loop": true,
      "bones": {
        "body": {
          "rotation": [ 10.0, 0.0, 0.0 ]
        },
        "head": {
          "rotation": [ 0.0, 0.0, 0.0 ]
        },
        "leftarm": {
          "rotation": [ 0.0, 0.0, "6.33 * math.cos(90.0 * query.anim_time) - 38.67" ]
        },
        "rightarm": {
          "rotation": [ 0.0, 0.0, "-6.33 * math.cos(90.0 * query.anim_time) + 38.67" ]
        },
        "leftwing": {
          "rotation": [ "27.0 - this", "-(15.0 + math.cos(query.life_time * 916.8) * 15.0) - this", "-45.0 - this" ]
        },
        "rightwing": {
          "rotation": [ "27.0 - this", "15.0 + math.cos(query.life_time * 916.8) * 15.0 - this", "45.0 - this" ]
        },
        "rightItem": {
          "scale": 0.7
        },
        "leftItem": {
          "scale": 0.7
        }
      }
    },
    "animation.vex.item_pose": {
      "loop": true,
      "override_previous_animation": true,
      "bones": {
        "leftitem": {
          "rotation": [ 10.0, 0.0, 0.0 ],
          "position": [ -0.3, 0.1, 0.1 ],
          "scale": 0.78
        },
        "rightitem": {
          "rotation": [ 10.0, 0.0, 0.0 ],
          "position": [ -0.3, 0.1, 0.1 ],
          "scale": 0.78
        }
      }
    }
  }
}